Package org.eclipse.m2m.atl.emftvm.util

## Interface VMMonitor

All Known Implementing Classes:
  `LaunchAdapter`, `NetworkDebugger`, `Profiler`, `ProfilingLaunchAdapter`

    public interface VMMonitor

Allows monitoring and controlling a running EMFTVM instance.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `enter​(StackFrame frame)` Enters the stack frame.
`void` `error​(StackFrame frame, java.lang.String msg, java.lang.Exception e)` Throws an error.
`boolean` `isTerminated()` Returns `true` when the running EMFTVM instance should be terminated.
`void` `leave​(StackFrame frame)` Leaves the stack frame.
`void` `step​(StackFrame frame)` Steps into the stack frame.
`void` `terminated()` Invoked when execution is terminated.

### Method Detail

#### isTerminated

    boolean isTerminated()

Returns `true` when the running EMFTVM instance should be terminated.

Returns:
  `true` when the running EMFTVM instance should be terminated

#### enter

    void enter​(StackFrame frame)

Enters the stack frame.

Parameters:
  `frame` - the frame to enter in

#### leave

    void leave​(StackFrame frame)

Leaves the stack frame.

Parameters:
  `frame` - the frame to leave

#### step

    void step​(StackFrame frame)

Steps into the stack frame.

Parameters:
  `frame` - the frame to step

#### terminated

    void terminated()

Invoked when execution is terminated.

#### error

    void error​(StackFrame frame,
               java.lang.String msg,
               java.lang.Exception e)

Throws an error.

Parameters:
  `frame` - the current frame
  `msg` - the error message
  `e` - the exception